Loading...
Searching...
No Matches
osmo_gsup_pdp_info Struct Reference
Generic Subscriber Update Protocol

parsed/decoded PDP context information More...

`#include <gsup.h>`

## Data Fields

unsigned int | context_id
int | have_info
union { |
struct { |
} |  |
}; |  |
| Type of PDP context, 3GPP TS 29.060, 7.7.27.
struct osmo_sockaddr | pdp_address [2]
const uint8_t * | apn_enc
| APN information, still in encoded form.
size_t | apn_enc_len
| length (in octets) of apn_enc
const uint8_t * | qos_enc
| QoS information, still in encoded form.
size_t | qos_enc_len
| length (in octets) of qos_enc
const uint8_t * | pdp_charg_enc
| PDP Charging Characteristics, still in encoded form.
size_t | pdp_charg_enc_len
| length (in octets) of pdp_charg_enc

## Detailed Description

parsed/decoded PDP context information

## Field Documentation

## [union]

union { ... } osmo_gsup_pdp_info

Type of PDP context, 3GPP TS 29.060, 7.7.27.

## apn_enc

const uint8_t* osmo_gsup_pdp_info::apn_enc

APN information, still in encoded form.

Can be NULL if no APN information included

## apn_enc_len

size_t osmo_gsup_pdp_info::apn_enc_len

length (in octets) of apn_enc

## context_id

unsigned int osmo_gsup_pdp_info::context_id

## have_info

int osmo_gsup_pdp_info::have_info

## pdp_address

struct osmo_sockaddr osmo_gsup_pdp_info::pdp_address[2]

## pdp_charg_enc

const uint8_t* osmo_gsup_pdp_info::pdp_charg_enc

PDP Charging Characteristics, still in encoded form.

Can be NULL if no PDP Charging Characteristics

## pdp_charg_enc_len

size_t osmo_gsup_pdp_info::pdp_charg_enc_len

length (in octets) of pdp_charg_enc

## qos_enc

const uint8_t* osmo_gsup_pdp_info::qos_enc

QoS information, still in encoded form.

Can be NULL if no QoS information included

## qos_enc_len

size_t osmo_gsup_pdp_info::qos_enc_len

length (in octets) of qos_enc

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsup.h